---
title: "Setup: Index"
---
# [![Setup Icon](../../images/universal_map/Gear-active.png)](./setup_overview.md) Setup: Index

## Installation
- [How to install Great Expectations locally](../../guides/setup/installation/local.md)
- [How to install Great Expectations in a hosted environment](../../guides/setup/installation/hosted_environment.md)

## Data Contexts
- [How to configure a new Data Context with the CLI](../../guides/setup/configuring_data_contexts/how_to_configure_a_new_data_context_with_the_cli.md)
- [How to configure DataContext components using test_yaml_config](../../guides/setup/configuring_data_contexts/how_to_configure_datacontext_components_using_test_yaml_config.md)
- [How to configure credentials](../../guides/setup/configuring_data_contexts/how_to_configure_credentials.md)
- [How to instantiate a Data Context without a yml file](../../guides/setup/configuring_data_contexts/how_to_instantiate_a_data_context_without_a_yml_file.md)

## Metadata Stores

### Expectation Stores
- [How to configure an Expectation store to use Amazon S3](../../guides/setup/configuring_metadata_stores/how_to_configure_an_expectation_store_in_amazon_s3.md)
- [How to configure an Expectation store to use Azure Blob Storage](../../guides/setup/configuring_metadata_stores/how_to_configure_an_expectation_store_in_azure_blob_storage.md)
- [How to configure an Expectation store to use GCS](../../guides/setup/configuring_metadata_stores/how_to_configure_an_expectation_store_in_gcs.md)
- [How to configure an Expectation store to use a filesystem](../../guides/setup/configuring_metadata_stores/how_to_configure_an_expectation_store_on_a_filesystem.md)
- [How to configure an Expectation store to use PostgreSQL](../../guides/setup/configuring_metadata_stores/how_to_configure_an_expectation_store_to_postgresql.md)

### Validation Result Stores
- [How to configure a Validation Result store in Amazon S3](../../guides/setup/configuring_metadata_stores/how_to_configure_a_validation_result_store_in_amazon_s3.md)
- [How to configure a Validation Result store in Azure Blob Storage](../../guides/setup/configuring_metadata_stores/how_to_configure_a_validation_result_store_in_azure_blob_storage.md)
- [How to configure a Validation Result store in GCS](../../guides/setup/configuring_metadata_stores/how_to_configure_a_validation_result_store_in_gcs.md)
- [How to configure a Validation Result store on a filesystem](../../guides/setup/configuring_metadata_stores/how_to_configure_a_validation_result_store_on_a_filesystem.md)
- [How to configure a Validation Result store to PostgreSQL](../../guides/setup/configuring_metadata_stores/how_to_configure_a_validation_result_store_to_postgresql.md)

### Metric Stores
- [How to configure and use a MetricStore](../../guides/setup/configuring_metadata_stores/how_to_configure_a_metricsstore.md)

## Data Docs
- [How to host and share Data Docs on a filesystem](../../guides/setup/configuring_data_docs/how_to_host_and_share_data_docs_on_a_filesystem.md)
- [How to host and share Data Docs on Azure Blob Storage](../../guides/setup/configuring_data_docs/how_to_host_and_share_data_docs_on_azure_blob_storage.md)
- [How to host and share Data Docs on GCS](../../guides/setup/configuring_data_docs/how_to_host_and_share_data_docs_on_gcs.md)
- [How to host and share Data Docs on Amazon S3](../../guides/setup/configuring_data_docs/how_to_host_and_share_data_docs_on_amazon_s3.md)

## Miscellaneous
- [How to use the Great Expectations Docker images](../../guides/miscellaneous/how_to_use_the_great_expectation_docker_images.md)
